//go:generate mockgen -package mocks -source vault_grpc.pb.go -destination mocks/vault.go

// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.26.0
// 	protoc        v3.17.3
// source: infranetes/user/v1/vault.proto

package v1

import (
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	_ "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

type RunVaultExportRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	BackupId string `protobuf:"bytes,1,opt,name=backup_id,json=backupId,proto3" json:"backup_id,omitempty"`
}

func (x *RunVaultExportRequest) Reset() {
	*x = RunVaultExportRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RunVaultExportRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RunVaultExportRequest) ProtoMessage() {}

func (x *RunVaultExportRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RunVaultExportRequest.ProtoReflect.Descriptor instead.
func (*RunVaultExportRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{0}
}

func (x *RunVaultExportRequest) GetBackupId() string {
	if x != nil {
		return x.BackupId
	}
	return ""
}

type RunVaultExportResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ExportId string `protobuf:"bytes,1,opt,name=export_id,json=exportId,proto3" json:"export_id,omitempty"`
}

func (x *RunVaultExportResponse) Reset() {
	*x = RunVaultExportResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RunVaultExportResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RunVaultExportResponse) ProtoMessage() {}

func (x *RunVaultExportResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RunVaultExportResponse.ProtoReflect.Descriptor instead.
func (*RunVaultExportResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{1}
}

func (x *RunVaultExportResponse) GetExportId() string {
	if x != nil {
		return x.ExportId
	}
	return ""
}

type RunVaultRestoreRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ExportId string `protobuf:"bytes,1,opt,name=export_id,json=exportId,proto3" json:"export_id,omitempty"`
	TargetNs string `protobuf:"bytes,2,opt,name=target_ns,json=targetNs,proto3" json:"target_ns,omitempty"`
}

func (x *RunVaultRestoreRequest) Reset() {
	*x = RunVaultRestoreRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RunVaultRestoreRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RunVaultRestoreRequest) ProtoMessage() {}

func (x *RunVaultRestoreRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RunVaultRestoreRequest.ProtoReflect.Descriptor instead.
func (*RunVaultRestoreRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{2}
}

func (x *RunVaultRestoreRequest) GetExportId() string {
	if x != nil {
		return x.ExportId
	}
	return ""
}

func (x *RunVaultRestoreRequest) GetTargetNs() string {
	if x != nil {
		return x.TargetNs
	}
	return ""
}

type RunVaultRestoreResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	RestoreId string `protobuf:"bytes,1,opt,name=restore_id,json=restoreId,proto3" json:"restore_id,omitempty"`
}

func (x *RunVaultRestoreResponse) Reset() {
	*x = RunVaultRestoreResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RunVaultRestoreResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RunVaultRestoreResponse) ProtoMessage() {}

func (x *RunVaultRestoreResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RunVaultRestoreResponse.ProtoReflect.Descriptor instead.
func (*RunVaultRestoreResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{3}
}

func (x *RunVaultRestoreResponse) GetRestoreId() string {
	if x != nil {
		return x.RestoreId
	}
	return ""
}

type GetVaultExportRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ExportId string `protobuf:"bytes,1,opt,name=export_id,json=exportId,proto3" json:"export_id,omitempty"`
}

func (x *GetVaultExportRequest) Reset() {
	*x = GetVaultExportRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetVaultExportRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVaultExportRequest) ProtoMessage() {}

func (x *GetVaultExportRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVaultExportRequest.ProtoReflect.Descriptor instead.
func (*GetVaultExportRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{4}
}

func (x *GetVaultExportRequest) GetExportId() string {
	if x != nil {
		return x.ExportId
	}
	return ""
}

type GetVaultExportResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	VaultExport *VaultExportResponse `protobuf:"bytes,1,opt,name=vault_export,json=vaultExport,proto3" json:"vault_export,omitempty"`
}

func (x *GetVaultExportResponse) Reset() {
	*x = GetVaultExportResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetVaultExportResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVaultExportResponse) ProtoMessage() {}

func (x *GetVaultExportResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVaultExportResponse.ProtoReflect.Descriptor instead.
func (*GetVaultExportResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{5}
}

func (x *GetVaultExportResponse) GetVaultExport() *VaultExportResponse {
	if x != nil {
		return x.VaultExport
	}
	return nil
}

type GetVaultExportsRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ClusterId string `protobuf:"bytes,1,opt,name=cluster_id,json=clusterId,proto3" json:"cluster_id,omitempty"`
}

func (x *GetVaultExportsRequest) Reset() {
	*x = GetVaultExportsRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetVaultExportsRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVaultExportsRequest) ProtoMessage() {}

func (x *GetVaultExportsRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVaultExportsRequest.ProtoReflect.Descriptor instead.
func (*GetVaultExportsRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{6}
}

func (x *GetVaultExportsRequest) GetClusterId() string {
	if x != nil {
		return x.ClusterId
	}
	return ""
}

type GetVaultExportsResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	VaultExports []*VaultExportResponse `protobuf:"bytes,1,rep,name=vault_exports,json=vaultExports,proto3" json:"vault_exports,omitempty"`
}

func (x *GetVaultExportsResponse) Reset() {
	*x = GetVaultExportsResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetVaultExportsResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVaultExportsResponse) ProtoMessage() {}

func (x *GetVaultExportsResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVaultExportsResponse.ProtoReflect.Descriptor instead.
func (*GetVaultExportsResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{7}
}

func (x *GetVaultExportsResponse) GetVaultExports() []*VaultExportResponse {
	if x != nil {
		return x.VaultExports
	}
	return nil
}

type GetVaultRestoreRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	RestoreId string `protobuf:"bytes,1,opt,name=restore_id,json=restoreId,proto3" json:"restore_id,omitempty"`
}

func (x *GetVaultRestoreRequest) Reset() {
	*x = GetVaultRestoreRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetVaultRestoreRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVaultRestoreRequest) ProtoMessage() {}

func (x *GetVaultRestoreRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVaultRestoreRequest.ProtoReflect.Descriptor instead.
func (*GetVaultRestoreRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{8}
}

func (x *GetVaultRestoreRequest) GetRestoreId() string {
	if x != nil {
		return x.RestoreId
	}
	return ""
}

type GetVaultRestoreResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	VaultRestore *VaultRestoreResponse `protobuf:"bytes,1,opt,name=vault_restore,json=vaultRestore,proto3" json:"vault_restore,omitempty"`
}

func (x *GetVaultRestoreResponse) Reset() {
	*x = GetVaultRestoreResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetVaultRestoreResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVaultRestoreResponse) ProtoMessage() {}

func (x *GetVaultRestoreResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVaultRestoreResponse.ProtoReflect.Descriptor instead.
func (*GetVaultRestoreResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{9}
}

func (x *GetVaultRestoreResponse) GetVaultRestore() *VaultRestoreResponse {
	if x != nil {
		return x.VaultRestore
	}
	return nil
}

type GetVaultRestoresRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	ClusterId string `protobuf:"bytes,1,opt,name=cluster_id,json=clusterId,proto3" json:"cluster_id,omitempty"`
}

func (x *GetVaultRestoresRequest) Reset() {
	*x = GetVaultRestoresRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[10]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetVaultRestoresRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVaultRestoresRequest) ProtoMessage() {}

func (x *GetVaultRestoresRequest) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[10]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVaultRestoresRequest.ProtoReflect.Descriptor instead.
func (*GetVaultRestoresRequest) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{10}
}

func (x *GetVaultRestoresRequest) GetClusterId() string {
	if x != nil {
		return x.ClusterId
	}
	return ""
}

type GetVaultRestoresResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	VaultRestores []*VaultRestoreResponse `protobuf:"bytes,1,rep,name=vault_restores,json=vaultRestores,proto3" json:"vault_restores,omitempty"`
}

func (x *GetVaultRestoresResponse) Reset() {
	*x = GetVaultRestoresResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[11]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *GetVaultRestoresResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*GetVaultRestoresResponse) ProtoMessage() {}

func (x *GetVaultRestoresResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[11]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use GetVaultRestoresResponse.ProtoReflect.Descriptor instead.
func (*GetVaultRestoresResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{11}
}

func (x *GetVaultRestoresResponse) GetVaultRestores() []*VaultRestoreResponse {
	if x != nil {
		return x.VaultRestores
	}
	return nil
}

type VaultExportResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id        string       `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	BackupId  string       `protobuf:"bytes,2,opt,name=backup_id,json=backupId,proto3" json:"backup_id,omitempty"`
	ClusterId string       `protobuf:"bytes,3,opt,name=cluster_id,json=clusterId,proto3" json:"cluster_id,omitempty"`
	Phase     string       `protobuf:"bytes,4,opt,name=phase,proto3" json:"phase,omitempty"`
	Namespace string       `protobuf:"bytes,5,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Pvcs      []*ExportPvc `protobuf:"bytes,6,rep,name=pvcs,proto3" json:"pvcs,omitempty"`
	StartedAt string       `protobuf:"bytes,7,opt,name=started_at,json=startedAt,proto3" json:"started_at,omitempty"`
}

func (x *VaultExportResponse) Reset() {
	*x = VaultExportResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[12]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VaultExportResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VaultExportResponse) ProtoMessage() {}

func (x *VaultExportResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[12]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VaultExportResponse.ProtoReflect.Descriptor instead.
func (*VaultExportResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{12}
}

func (x *VaultExportResponse) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *VaultExportResponse) GetBackupId() string {
	if x != nil {
		return x.BackupId
	}
	return ""
}

func (x *VaultExportResponse) GetClusterId() string {
	if x != nil {
		return x.ClusterId
	}
	return ""
}

func (x *VaultExportResponse) GetPhase() string {
	if x != nil {
		return x.Phase
	}
	return ""
}

func (x *VaultExportResponse) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *VaultExportResponse) GetPvcs() []*ExportPvc {
	if x != nil {
		return x.Pvcs
	}
	return nil
}

func (x *VaultExportResponse) GetStartedAt() string {
	if x != nil {
		return x.StartedAt
	}
	return ""
}

type ExportPvc struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Pvc             *Pvc           `protobuf:"bytes,1,opt,name=pvc,proto3" json:"pvc,omitempty"`
	Metrics         *ExportMetrics `protobuf:"bytes,2,opt,name=metrics,proto3" json:"metrics,omitempty"`
	CsiSnapshotName string         `protobuf:"bytes,3,opt,name=csi_snapshot_name,json=csiSnapshotName,proto3" json:"csi_snapshot_name,omitempty"`
}

func (x *ExportPvc) Reset() {
	*x = ExportPvc{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[13]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ExportPvc) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ExportPvc) ProtoMessage() {}

func (x *ExportPvc) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[13]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ExportPvc.ProtoReflect.Descriptor instead.
func (*ExportPvc) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{13}
}

func (x *ExportPvc) GetPvc() *Pvc {
	if x != nil {
		return x.Pvc
	}
	return nil
}

func (x *ExportPvc) GetMetrics() *ExportMetrics {
	if x != nil {
		return x.Metrics
	}
	return nil
}

func (x *ExportPvc) GetCsiSnapshotName() string {
	if x != nil {
		return x.CsiSnapshotName
	}
	return ""
}

type VaultRestoreResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Id            string             `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	VaultExportId string             `protobuf:"bytes,2,opt,name=vault_export_id,json=vaultExportId,proto3" json:"vault_export_id,omitempty"`
	ClusterId     string             `protobuf:"bytes,3,opt,name=cluster_id,json=clusterId,proto3" json:"cluster_id,omitempty"`
	Phase         string             `protobuf:"bytes,4,opt,name=phase,proto3" json:"phase,omitempty"`
	Namespace     string             `protobuf:"bytes,5,opt,name=namespace,proto3" json:"namespace,omitempty"`
	Pvcs          []*VaultRestorePvc `protobuf:"bytes,6,rep,name=pvcs,proto3" json:"pvcs,omitempty"`
	StartedAt     string             `protobuf:"bytes,7,opt,name=started_at,json=startedAt,proto3" json:"started_at,omitempty"`
}

func (x *VaultRestoreResponse) Reset() {
	*x = VaultRestoreResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[14]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VaultRestoreResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VaultRestoreResponse) ProtoMessage() {}

func (x *VaultRestoreResponse) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[14]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VaultRestoreResponse.ProtoReflect.Descriptor instead.
func (*VaultRestoreResponse) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{14}
}

func (x *VaultRestoreResponse) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *VaultRestoreResponse) GetVaultExportId() string {
	if x != nil {
		return x.VaultExportId
	}
	return ""
}

func (x *VaultRestoreResponse) GetClusterId() string {
	if x != nil {
		return x.ClusterId
	}
	return ""
}

func (x *VaultRestoreResponse) GetPhase() string {
	if x != nil {
		return x.Phase
	}
	return ""
}

func (x *VaultRestoreResponse) GetNamespace() string {
	if x != nil {
		return x.Namespace
	}
	return ""
}

func (x *VaultRestoreResponse) GetPvcs() []*VaultRestorePvc {
	if x != nil {
		return x.Pvcs
	}
	return nil
}

func (x *VaultRestoreResponse) GetStartedAt() string {
	if x != nil {
		return x.StartedAt
	}
	return ""
}

type VaultRestorePvc struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Pvc             *Pvc            `protobuf:"bytes,1,opt,name=pvc,proto3" json:"pvc,omitempty"`
	Metrics         *RestoreMetrics `protobuf:"bytes,2,opt,name=metrics,proto3" json:"metrics,omitempty"`
	VaultSnapshotId string          `protobuf:"bytes,3,opt,name=vault_snapshot_id,json=vaultSnapshotId,proto3" json:"vault_snapshot_id,omitempty"`
}

func (x *VaultRestorePvc) Reset() {
	*x = VaultRestorePvc{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[15]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VaultRestorePvc) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VaultRestorePvc) ProtoMessage() {}

func (x *VaultRestorePvc) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[15]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VaultRestorePvc.ProtoReflect.Descriptor instead.
func (*VaultRestorePvc) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{15}
}

func (x *VaultRestorePvc) GetPvc() *Pvc {
	if x != nil {
		return x.Pvc
	}
	return nil
}

func (x *VaultRestorePvc) GetMetrics() *RestoreMetrics {
	if x != nil {
		return x.Metrics
	}
	return nil
}

func (x *VaultRestorePvc) GetVaultSnapshotId() string {
	if x != nil {
		return x.VaultSnapshotId
	}
	return ""
}

type Pvc struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Name         string `protobuf:"bytes,1,opt,name=name,proto3" json:"name,omitempty"`
	Phase        string `protobuf:"bytes,2,opt,name=phase,proto3" json:"phase,omitempty"`
	Size         string `protobuf:"bytes,3,opt,name=size,proto3" json:"size,omitempty"`
	StorageClass string `protobuf:"bytes,4,opt,name=storage_class,json=storageClass,proto3" json:"storage_class,omitempty"`
}

func (x *Pvc) Reset() {
	*x = Pvc{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[16]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *Pvc) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*Pvc) ProtoMessage() {}

func (x *Pvc) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[16]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use Pvc.ProtoReflect.Descriptor instead.
func (*Pvc) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{16}
}

func (x *Pvc) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *Pvc) GetPhase() string {
	if x != nil {
		return x.Phase
	}
	return ""
}

func (x *Pvc) GetSize() string {
	if x != nil {
		return x.Size
	}
	return ""
}

func (x *Pvc) GetStorageClass() string {
	if x != nil {
		return x.StorageClass
	}
	return ""
}

type ExportMetrics struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	SecondsElapsed uint64 `protobuf:"varint,1,opt,name=seconds_elapsed,json=secondsElapsed,proto3" json:"seconds_elapsed,omitempty"`
	PercentDone    uint32 `protobuf:"varint,2,opt,name=percent_done,json=percentDone,proto3" json:"percent_done,omitempty"`
	TotalFiles     uint64 `protobuf:"varint,3,opt,name=total_files,json=totalFiles,proto3" json:"total_files,omitempty"`
	TotalBytes     uint64 `protobuf:"varint,4,opt,name=total_bytes,json=totalBytes,proto3" json:"total_bytes,omitempty"`
	FilesDone      uint64 `protobuf:"varint,5,opt,name=files_done,json=filesDone,proto3" json:"files_done,omitempty"`
	BytesDone      uint64 `protobuf:"varint,6,opt,name=bytes_done,json=bytesDone,proto3" json:"bytes_done,omitempty"`
	FilesNew       uint64 `protobuf:"varint,7,opt,name=files_new,json=filesNew,proto3" json:"files_new,omitempty"`
	SnapshotId     string `protobuf:"bytes,8,opt,name=snapshot_id,json=snapshotId,proto3" json:"snapshot_id,omitempty"`
}

func (x *ExportMetrics) Reset() {
	*x = ExportMetrics{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[17]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *ExportMetrics) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*ExportMetrics) ProtoMessage() {}

func (x *ExportMetrics) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[17]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use ExportMetrics.ProtoReflect.Descriptor instead.
func (*ExportMetrics) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{17}
}

func (x *ExportMetrics) GetSecondsElapsed() uint64 {
	if x != nil {
		return x.SecondsElapsed
	}
	return 0
}

func (x *ExportMetrics) GetPercentDone() uint32 {
	if x != nil {
		return x.PercentDone
	}
	return 0
}

func (x *ExportMetrics) GetTotalFiles() uint64 {
	if x != nil {
		return x.TotalFiles
	}
	return 0
}

func (x *ExportMetrics) GetTotalBytes() uint64 {
	if x != nil {
		return x.TotalBytes
	}
	return 0
}

func (x *ExportMetrics) GetFilesDone() uint64 {
	if x != nil {
		return x.FilesDone
	}
	return 0
}

func (x *ExportMetrics) GetBytesDone() uint64 {
	if x != nil {
		return x.BytesDone
	}
	return 0
}

func (x *ExportMetrics) GetFilesNew() uint64 {
	if x != nil {
		return x.FilesNew
	}
	return 0
}

func (x *ExportMetrics) GetSnapshotId() string {
	if x != nil {
		return x.SnapshotId
	}
	return ""
}

type RestoreMetrics struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	SecondsElapsed uint64 `protobuf:"varint,1,opt,name=seconds_elapsed,json=secondsElapsed,proto3" json:"seconds_elapsed,omitempty"`
	TotalBytes     uint64 `protobuf:"varint,2,opt,name=total_bytes,json=totalBytes,proto3" json:"total_bytes,omitempty"`
}

func (x *RestoreMetrics) Reset() {
	*x = RestoreMetrics{}
	if protoimpl.UnsafeEnabled {
		mi := &file_infranetes_user_v1_vault_proto_msgTypes[18]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *RestoreMetrics) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*RestoreMetrics) ProtoMessage() {}

func (x *RestoreMetrics) ProtoReflect() protoreflect.Message {
	mi := &file_infranetes_user_v1_vault_proto_msgTypes[18]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use RestoreMetrics.ProtoReflect.Descriptor instead.
func (*RestoreMetrics) Descriptor() ([]byte, []int) {
	return file_infranetes_user_v1_vault_proto_rawDescGZIP(), []int{18}
}

func (x *RestoreMetrics) GetSecondsElapsed() uint64 {
	if x != nil {
		return x.SecondsElapsed
	}
	return 0
}

func (x *RestoreMetrics) GetTotalBytes() uint64 {
	if x != nil {
		return x.TotalBytes
	}
	return 0
}

var File_infranetes_user_v1_vault_proto protoreflect.FileDescriptor

var file_infranetes_user_v1_vault_proto_rawDesc = []byte{
	0x0a, 0x1e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2f, 0x75, 0x73, 0x65,
	0x72, 0x2f, 0x76, 0x31, 0x2f, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f,
	0x12, 0x16, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73,
	0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2f, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0x34, 0x0a, 0x15, 0x52, 0x75, 0x6e,
	0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x12, 0x1b, 0x0a, 0x09, 0x62, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x5f, 0x69, 0x64, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x62, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x49, 0x64, 0x22,
	0x35, 0x0a, 0x16, 0x52, 0x75, 0x6e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72,
	0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1b, 0x0a, 0x09, 0x65, 0x78, 0x70,
	0x6f, 0x72, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x65, 0x78,
	0x70, 0x6f, 0x72, 0x74, 0x49, 0x64, 0x22, 0x52, 0x0a, 0x16, 0x52, 0x75, 0x6e, 0x56, 0x61, 0x75,
	0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x1b, 0x0a, 0x09, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x08, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x49, 0x64, 0x12, 0x1b, 0x0a,
	0x09, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x5f, 0x6e, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x08, 0x74, 0x61, 0x72, 0x67, 0x65, 0x74, 0x4e, 0x73, 0x22, 0x38, 0x0a, 0x17, 0x52, 0x75,
	0x6e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x73,
	0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x1d, 0x0a, 0x0a, 0x72, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65,
	0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x72, 0x65, 0x73, 0x74, 0x6f,
	0x72, 0x65, 0x49, 0x64, 0x22, 0x34, 0x0a, 0x15, 0x47, 0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74,
	0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1b, 0x0a,
	0x09, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x08, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x49, 0x64, 0x22, 0x68, 0x0a, 0x16, 0x47, 0x65,
	0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x4e, 0x0a, 0x0c, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x5f, 0x65, 0x78,
	0x70, 0x6f, 0x72, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2b, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72,
	0x2e, 0x76, 0x31, 0x2e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0b, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78,
	0x70, 0x6f, 0x72, 0x74, 0x22, 0x37, 0x0a, 0x16, 0x47, 0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74,
	0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1d,
	0x0a, 0x0a, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x09, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x49, 0x64, 0x22, 0x6b, 0x0a,
	0x17, 0x47, 0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x73,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x50, 0x0a, 0x0d, 0x76, 0x61, 0x75, 0x6c,
	0x74, 0x5f, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x2b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73,
	0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78,
	0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0c, 0x76, 0x61,
	0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x73, 0x22, 0x37, 0x0a, 0x16, 0x47, 0x65,
	0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x71,
	0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x72, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x5f,
	0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x72, 0x65, 0x73, 0x74, 0x6f, 0x72,
	0x65, 0x49, 0x64, 0x22, 0x6c, 0x0a, 0x17, 0x47, 0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52,
	0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x51,
	0x0a, 0x0d, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x5f, 0x72, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x2c, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72,
	0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x56,
	0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f,
	0x6e, 0x73, 0x65, 0x52, 0x0c, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72,
	0x65, 0x22, 0x38, 0x0a, 0x17, 0x47, 0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73,
	0x74, 0x6f, 0x72, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x0a,
	0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x09, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x49, 0x64, 0x22, 0x6f, 0x0a, 0x18, 0x47,
	0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x73, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x53, 0x0a, 0x0e, 0x76, 0x61, 0x75, 0x6c, 0x74,
	0x5f, 0x72, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32,
	0x2c, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73,
	0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65,
	0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x52, 0x0d, 0x76,
	0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x73, 0x22, 0xeb, 0x01, 0x0a,
	0x13, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x73, 0x70,
	0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x02, 0x69, 0x64, 0x12, 0x1b, 0x0a, 0x09, 0x62, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x5f, 0x69,
	0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x62, 0x61, 0x63, 0x6b, 0x75, 0x70, 0x49,
	0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x5f, 0x69, 0x64, 0x18,
	0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72, 0x49, 0x64,
	0x12, 0x14, 0x0a, 0x05, 0x70, 0x68, 0x61, 0x73, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x05, 0x70, 0x68, 0x61, 0x73, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x6e, 0x61, 0x6d, 0x65, 0x73, 0x70,
	0x61, 0x63, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6e, 0x61, 0x6d, 0x65, 0x73,
	0x70, 0x61, 0x63, 0x65, 0x12, 0x35, 0x0a, 0x04, 0x70, 0x76, 0x63, 0x73, 0x18, 0x06, 0x20, 0x03,
	0x28, 0x0b, 0x32, 0x21, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65,
	0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x45, 0x78, 0x70, 0x6f,
	0x72, 0x74, 0x50, 0x76, 0x63, 0x52, 0x04, 0x70, 0x76, 0x63, 0x73, 0x12, 0x1d, 0x0a, 0x0a, 0x73,
	0x74, 0x61, 0x72, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x09, 0x73, 0x74, 0x61, 0x72, 0x74, 0x65, 0x64, 0x41, 0x74, 0x22, 0xa7, 0x01, 0x0a, 0x09, 0x45,
	0x78, 0x70, 0x6f, 0x72, 0x74, 0x50, 0x76, 0x63, 0x12, 0x2d, 0x0a, 0x03, 0x70, 0x76, 0x63, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72,
	0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x50,
	0x76, 0x63, 0x52, 0x03, 0x70, 0x76, 0x63, 0x12, 0x3f, 0x0a, 0x07, 0x6d, 0x65, 0x74, 0x72, 0x69,
	0x63, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x25, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69,
	0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x52,
	0x07, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x2a, 0x0a, 0x11, 0x63, 0x73, 0x69, 0x5f,
	0x73, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0f, 0x63, 0x73, 0x69, 0x53, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74,
	0x4e, 0x61, 0x6d, 0x65, 0x22, 0xfd, 0x01, 0x0a, 0x14, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65,
	0x73, 0x74, 0x6f, 0x72, 0x65, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x0e, 0x0a,
	0x02, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x26, 0x0a,
	0x0f, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x5f, 0x65, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x5f, 0x69, 0x64,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0d, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70,
	0x6f, 0x72, 0x74, 0x49, 0x64, 0x12, 0x1d, 0x0a, 0x0a, 0x63, 0x6c, 0x75, 0x73, 0x74, 0x65, 0x72,
	0x5f, 0x69, 0x64, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x63, 0x6c, 0x75, 0x73, 0x74,
	0x65, 0x72, 0x49, 0x64, 0x12, 0x14, 0x0a, 0x05, 0x70, 0x68, 0x61, 0x73, 0x65, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x05, 0x70, 0x68, 0x61, 0x73, 0x65, 0x12, 0x1c, 0x0a, 0x09, 0x6e, 0x61,
	0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x6e,
	0x61, 0x6d, 0x65, 0x73, 0x70, 0x61, 0x63, 0x65, 0x12, 0x3b, 0x0a, 0x04, 0x70, 0x76, 0x63, 0x73,
	0x18, 0x06, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x27, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66,
	0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x50, 0x76, 0x63, 0x52,
	0x04, 0x70, 0x76, 0x63, 0x73, 0x12, 0x1d, 0x0a, 0x0a, 0x73, 0x74, 0x61, 0x72, 0x74, 0x65, 0x64,
	0x5f, 0x61, 0x74, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x73, 0x74, 0x61, 0x72, 0x74,
	0x65, 0x64, 0x41, 0x74, 0x22, 0xae, 0x01, 0x0a, 0x0f, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65,
	0x73, 0x74, 0x6f, 0x72, 0x65, 0x50, 0x76, 0x63, 0x12, 0x2d, 0x0a, 0x03, 0x70, 0x76, 0x63, 0x18,
	0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72,
	0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x50,
	0x76, 0x63, 0x52, 0x03, 0x70, 0x76, 0x63, 0x12, 0x40, 0x0a, 0x07, 0x6d, 0x65, 0x74, 0x72, 0x69,
	0x63, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x26, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69,
	0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76,
	0x31, 0x2e, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73,
	0x52, 0x07, 0x6d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x2a, 0x0a, 0x11, 0x76, 0x61, 0x75,
	0x6c, 0x74, 0x5f, 0x73, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x0f, 0x76, 0x61, 0x75, 0x6c, 0x74, 0x53, 0x6e, 0x61, 0x70, 0x73,
	0x68, 0x6f, 0x74, 0x49, 0x64, 0x22, 0x68, 0x0a, 0x03, 0x50, 0x76, 0x63, 0x12, 0x12, 0x0a, 0x04,
	0x6e, 0x61, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65,
	0x12, 0x14, 0x0a, 0x05, 0x70, 0x68, 0x61, 0x73, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x05, 0x70, 0x68, 0x61, 0x73, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x03,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x73, 0x69, 0x7a, 0x65, 0x12, 0x23, 0x0a, 0x0d, 0x73, 0x74,
	0x6f, 0x72, 0x61, 0x67, 0x65, 0x5f, 0x63, 0x6c, 0x61, 0x73, 0x73, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x0c, 0x73, 0x74, 0x6f, 0x72, 0x61, 0x67, 0x65, 0x43, 0x6c, 0x61, 0x73, 0x73, 0x22,
	0x99, 0x02, 0x0a, 0x0d, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63,
	0x73, 0x12, 0x27, 0x0a, 0x0f, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5f, 0x65, 0x6c, 0x61,
	0x70, 0x73, 0x65, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0e, 0x73, 0x65, 0x63, 0x6f,
	0x6e, 0x64, 0x73, 0x45, 0x6c, 0x61, 0x70, 0x73, 0x65, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x70, 0x65,
	0x72, 0x63, 0x65, 0x6e, 0x74, 0x5f, 0x64, 0x6f, 0x6e, 0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0d,
	0x52, 0x0b, 0x70, 0x65, 0x72, 0x63, 0x65, 0x6e, 0x74, 0x44, 0x6f, 0x6e, 0x65, 0x12, 0x1f, 0x0a,
	0x0b, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x5f, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x04, 0x52, 0x0a, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x46, 0x69, 0x6c, 0x65, 0x73, 0x12, 0x1f,
	0x0a, 0x0b, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x5f, 0x62, 0x79, 0x74, 0x65, 0x73, 0x18, 0x04, 0x20,
	0x01, 0x28, 0x04, 0x52, 0x0a, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x42, 0x79, 0x74, 0x65, 0x73, 0x12,
	0x1d, 0x0a, 0x0a, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x5f, 0x64, 0x6f, 0x6e, 0x65, 0x18, 0x05, 0x20,
	0x01, 0x28, 0x04, 0x52, 0x09, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x44, 0x6f, 0x6e, 0x65, 0x12, 0x1d,
	0x0a, 0x0a, 0x62, 0x79, 0x74, 0x65, 0x73, 0x5f, 0x64, 0x6f, 0x6e, 0x65, 0x18, 0x06, 0x20, 0x01,
	0x28, 0x04, 0x52, 0x09, 0x62, 0x79, 0x74, 0x65, 0x73, 0x44, 0x6f, 0x6e, 0x65, 0x12, 0x1b, 0x0a,
	0x09, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x5f, 0x6e, 0x65, 0x77, 0x18, 0x07, 0x20, 0x01, 0x28, 0x04,
	0x52, 0x08, 0x66, 0x69, 0x6c, 0x65, 0x73, 0x4e, 0x65, 0x77, 0x12, 0x1f, 0x0a, 0x0b, 0x73, 0x6e,
	0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x5f, 0x69, 0x64, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x0a, 0x73, 0x6e, 0x61, 0x70, 0x73, 0x68, 0x6f, 0x74, 0x49, 0x64, 0x22, 0x5a, 0x0a, 0x0e, 0x52,
	0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x4d, 0x65, 0x74, 0x72, 0x69, 0x63, 0x73, 0x12, 0x27, 0x0a,
	0x0f, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x5f, 0x65, 0x6c, 0x61, 0x70, 0x73, 0x65, 0x64,
	0x18, 0x01, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0e, 0x73, 0x65, 0x63, 0x6f, 0x6e, 0x64, 0x73, 0x45,
	0x6c, 0x61, 0x70, 0x73, 0x65, 0x64, 0x12, 0x1f, 0x0a, 0x0b, 0x74, 0x6f, 0x74, 0x61, 0x6c, 0x5f,
	0x62, 0x79, 0x74, 0x65, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x04, 0x52, 0x0a, 0x74, 0x6f, 0x74,
	0x61, 0x6c, 0x42, 0x79, 0x74, 0x65, 0x73, 0x32, 0xc8, 0x05, 0x0a, 0x05, 0x56, 0x61, 0x75, 0x6c,
	0x74, 0x12, 0x71, 0x0a, 0x0e, 0x52, 0x75, 0x6e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70,
	0x6f, 0x72, 0x74, 0x12, 0x2d, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e,
	0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x75, 0x6e,
	0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65,
	0x73, 0x74, 0x1a, 0x2e, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65,
	0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x52, 0x75, 0x6e, 0x56,
	0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e,
	0x73, 0x65, 0x22, 0x00, 0x12, 0x74, 0x0a, 0x0f, 0x52, 0x75, 0x6e, 0x56, 0x61, 0x75, 0x6c, 0x74,
	0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x12, 0x2e, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x52, 0x75, 0x6e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e,
	0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31,
	0x2e, 0x52, 0x75, 0x6e, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65,
	0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x71, 0x0a, 0x0e, 0x47, 0x65,
	0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x12, 0x2d, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73,
	0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78,
	0x70, 0x6f, 0x72, 0x74, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2e, 0x2e, 0x61, 0x70,
	0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65,
	0x72, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70,
	0x6f, 0x72, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x74, 0x0a,
	0x0f, 0x47, 0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x73,
	0x12, 0x2e, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65,
	0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x74, 0x56, 0x61, 0x75,
	0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x1a, 0x2f, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65,
	0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x74, 0x56, 0x61, 0x75,
	0x6c, 0x74, 0x45, 0x78, 0x70, 0x6f, 0x72, 0x74, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73,
	0x65, 0x22, 0x00, 0x12, 0x74, 0x0a, 0x0f, 0x47, 0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52,
	0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x12, 0x2e, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66,
	0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x47, 0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x2f, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66,
	0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e,
	0x47, 0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x22, 0x00, 0x12, 0x77, 0x0a, 0x10, 0x47, 0x65, 0x74,
	0x56, 0x61, 0x75, 0x6c, 0x74, 0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x73, 0x12, 0x2f, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e, 0x75,
	0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74, 0x52,
	0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x73, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x1a, 0x30,
	0x2e, 0x61, 0x70, 0x69, 0x2e, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2e,
	0x75, 0x73, 0x65, 0x72, 0x2e, 0x76, 0x31, 0x2e, 0x47, 0x65, 0x74, 0x56, 0x61, 0x75, 0x6c, 0x74,
	0x52, 0x65, 0x73, 0x74, 0x6f, 0x72, 0x65, 0x73, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65,
	0x22, 0x00, 0x42, 0x34, 0x5a, 0x32, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e, 0x63, 0x6f, 0x6d,
	0x2f, 0x69, 0x6e, 0x66, 0x72, 0x61, 0x6e, 0x65, 0x74, 0x65, 0x73, 0x2f, 0x61, 0x75, 0x74, 0x6f,
	0x64, 0x65, 0x76, 0x6f, 0x70, 0x73, 0x2f, 0x70, 0x6c, 0x61, 0x74, 0x66, 0x6f, 0x72, 0x6d, 0x2f,
	0x70, 0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x76, 0x31, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_infranetes_user_v1_vault_proto_rawDescOnce sync.Once
	file_infranetes_user_v1_vault_proto_rawDescData = file_infranetes_user_v1_vault_proto_rawDesc
)

func file_infranetes_user_v1_vault_proto_rawDescGZIP() []byte {
	file_infranetes_user_v1_vault_proto_rawDescOnce.Do(func() {
		file_infranetes_user_v1_vault_proto_rawDescData = protoimpl.X.CompressGZIP(file_infranetes_user_v1_vault_proto_rawDescData)
	})
	return file_infranetes_user_v1_vault_proto_rawDescData
}

var file_infranetes_user_v1_vault_proto_msgTypes = make([]protoimpl.MessageInfo, 19)
var file_infranetes_user_v1_vault_proto_goTypes = []interface{}{
	(*RunVaultExportRequest)(nil),    // 0: api.infranetes.user.v1.RunVaultExportRequest
	(*RunVaultExportResponse)(nil),   // 1: api.infranetes.user.v1.RunVaultExportResponse
	(*RunVaultRestoreRequest)(nil),   // 2: api.infranetes.user.v1.RunVaultRestoreRequest
	(*RunVaultRestoreResponse)(nil),  // 3: api.infranetes.user.v1.RunVaultRestoreResponse
	(*GetVaultExportRequest)(nil),    // 4: api.infranetes.user.v1.GetVaultExportRequest
	(*GetVaultExportResponse)(nil),   // 5: api.infranetes.user.v1.GetVaultExportResponse
	(*GetVaultExportsRequest)(nil),   // 6: api.infranetes.user.v1.GetVaultExportsRequest
	(*GetVaultExportsResponse)(nil),  // 7: api.infranetes.user.v1.GetVaultExportsResponse
	(*GetVaultRestoreRequest)(nil),   // 8: api.infranetes.user.v1.GetVaultRestoreRequest
	(*GetVaultRestoreResponse)(nil),  // 9: api.infranetes.user.v1.GetVaultRestoreResponse
	(*GetVaultRestoresRequest)(nil),  // 10: api.infranetes.user.v1.GetVaultRestoresRequest
	(*GetVaultRestoresResponse)(nil), // 11: api.infranetes.user.v1.GetVaultRestoresResponse
	(*VaultExportResponse)(nil),      // 12: api.infranetes.user.v1.VaultExportResponse
	(*ExportPvc)(nil),                // 13: api.infranetes.user.v1.ExportPvc
	(*VaultRestoreResponse)(nil),     // 14: api.infranetes.user.v1.VaultRestoreResponse
	(*VaultRestorePvc)(nil),          // 15: api.infranetes.user.v1.VaultRestorePvc
	(*Pvc)(nil),                      // 16: api.infranetes.user.v1.Pvc
	(*ExportMetrics)(nil),            // 17: api.infranetes.user.v1.ExportMetrics
	(*RestoreMetrics)(nil),           // 18: api.infranetes.user.v1.RestoreMetrics
}
var file_infranetes_user_v1_vault_proto_depIdxs = []int32{
	12, // 0: api.infranetes.user.v1.GetVaultExportResponse.vault_export:type_name -> api.infranetes.user.v1.VaultExportResponse
	12, // 1: api.infranetes.user.v1.GetVaultExportsResponse.vault_exports:type_name -> api.infranetes.user.v1.VaultExportResponse
	14, // 2: api.infranetes.user.v1.GetVaultRestoreResponse.vault_restore:type_name -> api.infranetes.user.v1.VaultRestoreResponse
	14, // 3: api.infranetes.user.v1.GetVaultRestoresResponse.vault_restores:type_name -> api.infranetes.user.v1.VaultRestoreResponse
	13, // 4: api.infranetes.user.v1.VaultExportResponse.pvcs:type_name -> api.infranetes.user.v1.ExportPvc
	16, // 5: api.infranetes.user.v1.ExportPvc.pvc:type_name -> api.infranetes.user.v1.Pvc
	17, // 6: api.infranetes.user.v1.ExportPvc.metrics:type_name -> api.infranetes.user.v1.ExportMetrics
	15, // 7: api.infranetes.user.v1.VaultRestoreResponse.pvcs:type_name -> api.infranetes.user.v1.VaultRestorePvc
	16, // 8: api.infranetes.user.v1.VaultRestorePvc.pvc:type_name -> api.infranetes.user.v1.Pvc
	18, // 9: api.infranetes.user.v1.VaultRestorePvc.metrics:type_name -> api.infranetes.user.v1.RestoreMetrics
	0,  // 10: api.infranetes.user.v1.Vault.RunVaultExport:input_type -> api.infranetes.user.v1.RunVaultExportRequest
	2,  // 11: api.infranetes.user.v1.Vault.RunVaultRestore:input_type -> api.infranetes.user.v1.RunVaultRestoreRequest
	4,  // 12: api.infranetes.user.v1.Vault.GetVaultExport:input_type -> api.infranetes.user.v1.GetVaultExportRequest
	6,  // 13: api.infranetes.user.v1.Vault.GetVaultExports:input_type -> api.infranetes.user.v1.GetVaultExportsRequest
	8,  // 14: api.infranetes.user.v1.Vault.GetVaultRestore:input_type -> api.infranetes.user.v1.GetVaultRestoreRequest
	10, // 15: api.infranetes.user.v1.Vault.GetVaultRestores:input_type -> api.infranetes.user.v1.GetVaultRestoresRequest
	1,  // 16: api.infranetes.user.v1.Vault.RunVaultExport:output_type -> api.infranetes.user.v1.RunVaultExportResponse
	3,  // 17: api.infranetes.user.v1.Vault.RunVaultRestore:output_type -> api.infranetes.user.v1.RunVaultRestoreResponse
	5,  // 18: api.infranetes.user.v1.Vault.GetVaultExport:output_type -> api.infranetes.user.v1.GetVaultExportResponse
	7,  // 19: api.infranetes.user.v1.Vault.GetVaultExports:output_type -> api.infranetes.user.v1.GetVaultExportsResponse
	9,  // 20: api.infranetes.user.v1.Vault.GetVaultRestore:output_type -> api.infranetes.user.v1.GetVaultRestoreResponse
	11, // 21: api.infranetes.user.v1.Vault.GetVaultRestores:output_type -> api.infranetes.user.v1.GetVaultRestoresResponse
	16, // [16:22] is the sub-list for method output_type
	10, // [10:16] is the sub-list for method input_type
	10, // [10:10] is the sub-list for extension type_name
	10, // [10:10] is the sub-list for extension extendee
	0,  // [0:10] is the sub-list for field type_name
}

func init() { file_infranetes_user_v1_vault_proto_init() }
func file_infranetes_user_v1_vault_proto_init() {
	if File_infranetes_user_v1_vault_proto != nil {
		return
	}
	if !protoimpl.UnsafeEnabled {
		file_infranetes_user_v1_vault_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RunVaultExportRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RunVaultExportResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RunVaultRestoreRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RunVaultRestoreResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetVaultExportRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetVaultExportResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetVaultExportsRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetVaultExportsResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetVaultRestoreRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetVaultRestoreResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[10].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetVaultRestoresRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[11].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*GetVaultRestoresResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[12].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VaultExportResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[13].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ExportPvc); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[14].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VaultRestoreResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[15].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*VaultRestorePvc); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[16].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*Pvc); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[17].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*ExportMetrics); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_infranetes_user_v1_vault_proto_msgTypes[18].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*RestoreMetrics); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_infranetes_user_v1_vault_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   19,
			NumExtensions: 0,
			NumServices:   1,
		},
		GoTypes:           file_infranetes_user_v1_vault_proto_goTypes,
		DependencyIndexes: file_infranetes_user_v1_vault_proto_depIdxs,
		MessageInfos:      file_infranetes_user_v1_vault_proto_msgTypes,
	}.Build()
	File_infranetes_user_v1_vault_proto = out.File
	file_infranetes_user_v1_vault_proto_rawDesc = nil
	file_infranetes_user_v1_vault_proto_goTypes = nil
	file_infranetes_user_v1_vault_proto_depIdxs = nil
}
